#import <Cocoa/Cocoa.h>

@interface ARSpotlightCategoriser : NSObject {
@private
	NSDictionary *_utiToCategory;
	NSArray *_categories;
	NSArray *_excludedCategories;
	NSDictionary *_descriptions;
}
@property (retain) NSDictionary *descriptions;
@property (retain) NSArray *excludedCategories;
@property (retain) NSArray *categories;
@property (retain) NSDictionary *utiToCategory;

+ (ARSpotlightCategoriser*) sharedInstance;

- (NSString *) categoryForUti:(NSString *) uti;

- (NSArray*) categoriesToShow;

- (NSArray *) excludedUtis;

@end
