#import <Foundation/Foundation.h>
#import "StreamAdditions.h"

/*
 See notes in Serialiser.h
 */
@interface OldDeserialiser : NSObject {
	@private
	BlockingInputStream *inp;
	NSMutableArray *objects;
}

+ (NSObject*) readObject:(NSData*) data;
- initWithInputStream:(BlockingInputStream*) i;

- (BOOL) readBool;
- (UInt8) readByte;
- (UInt16) readShort;
- (UInt32) readInt;
- (UInt64) readLong;
- (NSString*) readString;
- (NSDate*) readDate;
- (NSData*) readData;
- (NSObject*) readDataModelObject;
- (NSObject*) readValueOfType:(NSString*) type;
- (void) readValue:(uint8_t*) value ofTypeEncoding:(const char*) typeEncoding;

@end
