#import "StreamAdditions.h"
#import "Beans.h"

/*
 ---- Remote method invocation notes ----
 
 It's vital to use types like int rather than their fixed-width versions (UInt32 etc) in callable methods and remotely callable methods for them to work. It's a bit counter-intuitive, but when you think it through it's true (I think).
 
 Java can return declared exceptions, but we don't really support that here, although we could. Currently it'll try to read a data model object for the exception, which will fail.
*/
@interface RemoteBeanService : NSObject {
}
@property (readonly) Beans *beans;

- (BOOL) handle:(BlockingInputStream*) is os:(BlockingOutputStream*) os;

@end
