#import "RemoteBeanCaller.h"
#import "UrlLoader.h"

@interface RemoteBeanServletCaller : RemoteBeanCaller {
	NSURL *url;
	NSString *username;
	NSString *password;
	int timeout;
	UrlLoader * _loader;
}
@property (assign) int timeout;
@property (retain) NSString *password;
@property (retain) NSString *username;
@property (retain) NSURL *url;
@property (retain) UrlLoader *loader;
@property (readonly) NSHTTPURLResponse *httpResponse;

+ (RemoteBeanServletCaller*) caller;

@end

@protocol HasRemoteBeanServletCaller
@property (retain) RemoteBeanServletCaller *caller;
@end


