#import <Foundation/Foundation.h>
#import "StreamAdditions.h"

// see Serialiser.m for notes
@interface Serialiser : NSObject {
	BlockingOutputStream *os;
	id document;
	int objectId;
	NSMutableArray *objects;
	NSMutableArray *elements;
}

+ (NSData*) writeObject:(id) obj;
- initWithOutputStream:(BlockingOutputStream*) o;
- (void) writeObject:(id) obj;
- (void) writeValue:(const void*) value ofTypeEncoding:(const char*) typeEncoding;
- (void) finish;
- (NSData*) getData;

@end
