#import <Cocoa/Cocoa.h>
#import "BetterToolbarItem.h"

@interface ToolbarItemForView : BetterToolbarItem {
	IBOutlet NSView *viewToDisplay;
	IBOutlet id delegate;
}
@property (assign) id delegate;
@property (nonatomic, retain) NSView *viewToDisplay;

@end



// Informal protocol for the delegate (which can be the item itself)
@protocol ToolbarItemForViewDelegate

- (BOOL) viewShouldDisappear;
- (void) viewWillDisappear;
- (void) viewDidDisappear;
- (void) windowDidResignKey;

@end